/// <reference types="node" />
import { WheelEvent } from 'react';
import { ScrollState } from './Scroll.types';
type ScrollEventTypes = WheelEvent<HTMLDivElement> | TouchEvent;
declare abstract class ScrollEvent {
    protected hasReachedMaxPower: boolean;
    protected hash: number;
    protected power: number;
    protected timer: NodeJS.Timeout | null;
    protected newEvent: boolean;
    abstract id: number | null;
    protected scrollControlFrequency: number;
    abstract controlOngoingEvent(event: ScrollEventTypes, scrollState?: ScrollState): void;
    protected setId(): void;
    protected resetId(): void;
}
export declare class WheelScrollEvent extends ScrollEvent {
    protected isMaxPower(event: WheelEvent<HTMLDivElement>, scrollState: ScrollState): void;
    controlOngoingEvent(event: WheelEvent<HTMLDivElement>, scrollState: ScrollState): void;
    get id(): number;
}
export declare class TouchScrollEvent extends ScrollEvent {
    controlOngoingEvent(): void;
    get id(): number;
}
export default ScrollEvent;
